## List Shipping Rates

### cURL

```bash
curl --request GET \
  --url https://api.withflex.com/v1/shipping_rates \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.withflex.com/v1/shipping_rates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/shipping_rates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/shipping_rates",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/shipping_rates"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/shipping_rates")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/shipping_rates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### HTTP Status Codes

* 200
* 401
* 403
* 404
* 409
* 422
* 429

### JSON Example Response

```json
{
  "shipping_rates": [
    {
      "shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "active": false,
      "display_name": "Example",
      "amount": 2500,
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "created_at": "2026-06-15T14:30:00Z"
    }
  ]
}
```

### Error Response Format

```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorization

* Authorization: `string` (header, required)
* Use a Bearer token to access this API.

### Query Parameters

- **active** (boolean | null): Only return shipping rates where `active` matches this value. (Example: `false`)
- **limit** (integer<int64> | null): A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. (Example: `10`)
- **offset** (integer<int64> | null): Number of objects to skip before returning results. (Example: `3`)
- **starting_after** (string | null): A cursor for use in pagination. `starting_after` is a shipping rate ID that defines your place in the list. (Example: `"fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`)
- **ending_before** (string | null): A cursor for use in pagination. `ending_before` is a shipping rate ID that defines your place in the list. (Example: `"fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`)

### Response

* **200** application/json: An envelope wrapping a list of shipping rate objects.
* **shipping_rates** (object[]): The list of shipping rates.
